Skip to content

Protect PDF

Add a password to your PDF files to prevent unauthorized access. Encrypt your sensitive documents online for free with our secure PDF protection tool.

1 credit per conversionOutput: .pdfTry on web

Accepted formats

.pdf

Parameters

NameTypeRequiredDescription
files[]fileYesFile(s) to convert
passwordstringYesPDF password

Code example

curl -X POST "https://gurupdf.com/api/v1/convert/protect-pdf" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "files[]=@/path/to/document.pdf" \
  -F "password=your-password"

Related tools